program eserver;
{$APPTYPE CONSOLE}
uses
{$IFDEF USELIB}
  ShareMem,
{$ENDIF}
  SysUtils,
  orb,
  boa,
  boa_int,
  classes,
  orb_int,
  orbtypes,
  coseventchanneladmin_int,
  cosnaming_int,
  cosnaming,
  coseventchanneladmin_impl in 'coseventchanneladmin_impl.pas';

var
  dorb : IORB;
  props : TStrings;
  i : integer;
  fact : IEventChannelFactory;
  obj : IORBObject;
  nc : INamingContext;
  name : TName;
begin
  props := TStringList.Create;
  try
    for i := 1 to ParamCount do
      props.add(Paramstr(i));
    dorb := ORB_Init(props);
    dorb.BOA_Init;
    obj := dorb.resolve_initial_reference('NameService');
    assert(obj<>nil);
    nc := NamingContext_narrow(obj);
    assert(nc<>nil);
    setLength(name,1);
    name[0].id := 'EventChannelFactory';
    name[0].kind := '';
    fact := TEventChannelFactory_impl.Create;
    try
      nc.bind(name,fact as IORBObject);
    except
      on e : TNamingContext_AlreadyBound do
        nc.rebind(name,fact as IORBObject);
    end;
  finally
    props.free;
  end;
  dorb.run;
end.