// **********************************************************************
//
// Copyright (c) 2001 MT Tools.
//
// All Rights Reserved
//
// MT_DORB is based in part on the product DORB,
// written by Shadrin Victor
//
// See Readme.txt for contact information
//
// **********************************************************************
unit except_int;

interface

uses
  code_int,Classes,orbtypes;

const
  OMGVMCID = $4f4d0000;
  MTDORBVMCID = $4f4f0000;

  // Minor error codes for INITIALIZE
  // MTDORB specific minor codes
  MinorORBDestroyed =  1 or MTDORBVMCID;

  // Minor error codes for BAD_PARAM
  // Standard minor codes
  MinorValueFactoryError = 1 or OMGVMCID;
  MinorRepositoryIdExists = 2 or OMGVMCID;
  MinorNameExists = 3 or OMGVMCID;
  MinorInvalidContainer = 4 or OMGVMCID;
  MinorNameClashInInheritedContext = 5 or OMGVMCID;
  MinorBadAbstractInterfaceType = 6 or OMGVMCID;
  MinorBadSchemeName = 7 or OMGVMCID;
  MinorBadAddress = 8 or OMGVMCID;
  MinorBadSchemeSpecificPart = 9 or OMGVMCID;
  MinorOther = 10 or OMGVMCID;
  MinorInvalidAbstractInterfaceInheritance = 11 or OMGVMCID;
  MinorInvalidValueInheritance = 12 or OMGVMCID;

  // Minor error codes for BAD_INV_ORDER
  // Standard minor codes
  MinorDependencyPreventsDestruction = 1 or OMGVMCID;
  MinorIndestructibleObject = 2 or OMGVMCID;
  MinorDestroyWouldBlock = 3 or OMGVMCID;
  MinorShutdownCalled = 4 or OMGVMCID;

  // Minor error codes for COMM_FAILURE
  // Standard minor code
  (* None yet *)

  // MTDORB specific minor codes
  MinorRecv = 1 or MTDORBVMCID;
  MinorSend = 2 or MTDORBVMCID;
  MinorRecvZero = 3 or MTDORBVMCID;
  MinorSendZero = 4 or MTDORBVMCID;
  MinorSocket = 5 or MTDORBVMCID;
  MinorSetsockopt = 6 or MTDORBVMCID;
  MinorGetsockopt = 7 or MTDORBVMCID;
  MinorBind = 8 or MTDORBVMCID;
  MinorListen = 9 or MTDORBVMCID;
  MinorConnect = 10 or MTDORBVMCID;
  MinorAccept = 11 or MTDORBVMCID;
  MinorSelect = 12 or MTDORBVMCID;
  MinorSetSoTimeout = 26 or MTDORBVMCID;

  MinorGethostname = 13 or MTDORBVMCID;
  MinorGethostbyname = 14 or MTDORBVMCID;

  MinorWSAStartup = 15 or MTDORBVMCID;
  MinorWSACleanup = 16 or MTDORBVMCID;

  MinorNoGIOP = 17 or MTDORBVMCID;
  MinorUnknownMessage = 18 or MTDORBVMCID;
  MinorWrongMessage = 19 or MTDORBVMCID;
  MinorMessageError = 21 or MTDORBVMCID;
  MinorFragment = 22 or MTDORBVMCID;
  MinorUnknownReqId = 24 or MTDORBVMCID;
  MinorVersion = 25 or MTDORBVMCID;

  MinorPipe = 23 or MTDORBVMCID;

type

  IORBException = interface(IUnknown)
  ['{61252F7A-4D23-11d4-9D27-204C4F4F5020}']
    procedure encode(const enc: IEncoder);
    procedure encode_any(const a: IAny);
    function clone(): IORBException;
    procedure print(s: TStream);
    function repoid(): PChar;
    procedure throw();
    function ref_count(): integer;
  end;

  ISystemException = interface(IORBexception)
  ['{61252F7B-4D23-11d4-9D27-204C4F4F5020}']
    procedure assign(const ex: ISystemException);
    function completed(): TCompletionStatus;
    function minor(): _ulong;
    procedure set_minor(val: _ulong);
    procedure set_completed(val: TCompletionStatus);
    function extype(): SYSEXC_TYPES;
  end;

  IUserException = interface(IORBException)
  ['{FBB86C41-9AF8-11d4-9DB2-204C4F4F5020}']

  end;

  IUnknownUserException = interface(IUserException)
  ['{61252F7C-4D23-11d4-9D27-204C4F4F5020}']
    function exception(tc: ITypeCode): IAny; overload;
    function exception(sa: IStaticTypeInfo): IStaticAny; overload;
    function except_repoid: string;
  end;

  IBadKind = interface(IUserException)
  ['{FBB86C42-9AF8-11d4-9DB2-204C4F4F5020}']
  end;

  IBounds = interface(IUserException)
  ['{FBB86C43-9AF8-11d4-9DB2-204C4F4F5020}']
  end;

implementation



end.
